.rich-text-content strong {
  font-weight: bold;
}

.rich-text-content em {
  font-style: italic;
}

.rich-text-content sup {
  vertical-align: super;
}

.rich-text-content sub {
  vertical-align: sub;
}

.rich-text-content h1 {
  font-size: 2em;
  font-weight: bold;
}

.rich-text-content h2 {
  font-size: 1.5em;
  font-weight: bold;
}

.rich-text-content h3 {
  font-size: 1.17em;
  font-weight: bold;
}

.rich-text-content h4 {
  font-size: 1em;
  font-weight: bold;
}

.rich-text-content h5 {
  font-size: 0.83em;
  font-weight: bold;
}

.rich-text-content p {
  word-break: break-all;
  overflow-wrap: break-word;
}

.rich-text-content pre {
  overflow-x: auto;
  white-space: pre-wrap;
  word-wrap: break-word;
  word-break: break-all;
  max-width: 100%;
  background-color: #f5f5f5;
  padding: 10px;
  border-radius: 4px;
}

.rich-text-content code {
  white-space: pre-wrap;
  word-wrap: break-word;
  word-break: break-all;
  color: #333;
  background-color: #f5f5f5;
  padding: 2px 6px;
  border-radius: 4px;
}

.rich-text-content blockquote {
  border-left: 4px solid #ddd;
  margin: 0;
  padding-left: 16px;
  color: #666;
}

.rich-text-content img {
  max-width: 100%;
  height: auto;
}

.rich-text-content video {
  max-width: 100%;
  height: auto;
}

.rich-text-content ul {
  list-style-type: disc;
}

.rich-text-content ol {
  list-style-type: decimal;
}

.rich-text-content li {
  display: list-item;
}

.rich-text-content th {
  border: 1px solid #dee2e6;
  padding: 12px;
  background-color: #f5f2f0;
}

.rich-text-content td {
  border: 1px solid #dee2e6;
  padding: 12px;
}
